<%@include file="../../head.inc"%>
<%@page import="com.smartling.core.jobs.Job"%>
<%@page import="com.smartling.core.model.SubmissionModel"%>
<%@page import="com.smartling.hmc.TranslateMultipleItemsAction"%>
<%@ page import="com.smartling.hmc.TranslateMultipleItemsAction.ChipMode" %>
<%@ page import="com.smartling.hmc.TranslateMultipleItemsAction.SelectLocalesDialogChip" %>
<%@ page import="de.hybris.platform.core.model.c2l.LanguageModel" %>
<%@ page import="de.hybris.platform.hmc.webchips.AbstractChip" %>
<%@ page import="org.apache.commons.lang3.text.WordUtils" %>
<link type="text/css" rel="stylesheet" href="smartlinghmc/css/kalendae.css" />
<link type="text/javascript" href="smartlinghmc/js/kalendae.standalone.js" />

<%
SelectLocalesDialogChip theChip = (SelectLocalesDialogChip) request.getAttribute(AbstractChip.CHIP_KEY);

String languagesInputNameAdd = theChip.getEventID(SelectLocalesDialogChip.ADD_LANGUAGES_PARAM);
String languagesInputNameCreate = theChip.getEventID(SelectLocalesDialogChip.CREATE_LANGUAGES_PARAM);

String selectJobInput = theChip.getEventID(SelectLocalesDialogChip.ADD_JOBS_PARAM);

String jobName = theChip.getEventID(SelectLocalesDialogChip.JOB_NAME_PARAM);
String jobDescription = theChip.getEventID(SelectLocalesDialogChip.JOB_DESCRIPTION_PARAM);
String jobDueDate = theChip.getEventID(SelectLocalesDialogChip.JOB_DUEDATE_PARAM);

String modeContainer = theChip.getEventID(SelectLocalesDialogChip.MODE_CONTAINER);

String addAuthorized = theChip.getEventID(SelectLocalesDialogChip.ADD_AUTHORIZED);
String createAuthorized = theChip.getEventID(SelectLocalesDialogChip.CREATE_AUTHORIZED);

String submitButton = theChip.getEventID(SelectLocalesDialogChip.SUBMIT_BUTTON);
%>
<div id="messagesDiv" style="color: red"><%= theChip.getNotificationMessages() %></div>
<br><br>
<input type="text" style="display: none" id="mode_container" name="<%= modeContainer %>" value="<%= theChip.getCurrentMode().name() %>"/>
<div style="display: <%= theChip.getCurrentMode()==ChipMode.SELECT ? "block":"none" %>">
	<div>
		<input type="button"
			   value="Create new job"
			   style="text-align: center; width: 150px"
			   onclick="document.getElementById('mode_container').value='CREATE';setScrollAndSubmit();"/>
	</div>
	<div>
		<input type="button"
			   value="Add to existing job"
			   style="margin-top: 20px; text-align: center; width: 150px"
			   onclick="document.getElementById('mode_container').value='ADD';setScrollAndSubmit();"/>
	</div>
</div>
<div style="overflow-y: scroll;display: <%= theChip.getCurrentMode()==ChipMode.ADD ? "block":"none" %>" class="add_to_job">
	<div>Select job</div>
	<div>
		<select name="<%= selectJobInput %>" onchange="setScrollAndSubmit();" style="width: 90%">
			<option style="display:none">
			<% for(Job job: theChip.getJobList()) {%>
				<option value="<%= job.getUid() %>" <%= theChip.getSelectedJobId().contains(job.getUid()) ? "selected" : "" %>><%= job.getJobNameWithStatus() %></option>
			<% }%>
		</select>
	</div>
	<div>Description</div>
	<div>
		<input type="text" value="<%= theChip.getSelectedJobDescription() %>" disabled style="width: 90%"/>
	</div>
	<div>Due date</div>
	<div>
		<input type="text" value="<%= theChip.getSelectedJobDueDate() %>" disabled style="width: 90%"/>
	</div>
	<div>
		<input type="checkbox"
			   id="<%= addAuthorized %>"
			   name="<%= addAuthorized %>"
			   value="<%= addAuthorized %>"
				<%= theChip.getAuthorizedAdd() ? "checked" : "" %>/>Authorize
	</div>
	<div style="padding-top: 15px;">Select Language</div>
	<% for(LanguageModel model: theChip.getAllLanguages()) {%>
		<label>
			<input
				type="checkbox"
				name="<%= languagesInputNameAdd %>"
				value="<%= model.getIsocode() %>"
				<%= theChip.getSelectedLanguageCodesAdd().contains(model.getIsocode()) ? "checked" : "" %>/>

			<%= model.getName() %>
		</label>
		<br>
	<% }%>
	<% if (theChip.getSubmissionsList().size() > 0) {%>
	<div style="padding-top: 15px;">Submissions</div>
	<% }%>
	<div>
		<table>
			<thead>
            <% if (theChip.getSubmissionsList().size() > 0) {%>
				<tr>
					<th style="width: 20%">Item PK</th>
					<th style="width: 35%">Item Name</th>
					<th style="width: 20%">Catalog</th>
					<th style="width: 10%">Locale</th>
					<th style="width: 15%">Status</th>
				</tr>
			<% }%>
			</thead>
			<tbody>
            <% for(SubmissionModel submission: theChip.getSubmissionsList()) {%>
				<tr>
					<th style="font-weight: normal"><%= submission.getPk() %></th>
					<th style="font-weight: normal"><%= submission.getSubmissionItemName() %></th>
					<th style="font-weight: normal"><%= submission.getSubmissionItemCatalogVersion() %></th>
					<th style="font-weight: normal"><%= submission.getTargetLocale() %></th>
					<th style="font-weight: normal"><%= WordUtils.capitalizeFully(submission.getStatus().getCode().replace("_", " "))%></th>
				</tr>
            <% } %>
			</tbody>
		</table>
	</div>
</div>
<div style="overflow-y: scroll; display: <%= theChip.getCurrentMode()==TranslateMultipleItemsAction.ChipMode.CREATE ? "block":"none" %>" class="new_job">
	<div>Name</div>
	<div>
		<input type="text"
			   name="<%= jobName %>"
			   style="width: 90%"
			   value="<%= theChip.getNewJobName() %>"/>
	</div>
	<div>Description</div>
	<div>
		<input type="text"
			   name="<%= jobDescription %>"
			   style="width: 90%"
			   value="<%= theChip.getNewJobDescription() %>"/>
	</div>
	<div>Due date</div>
	<div>
		<input type="text"
			   class="auto-kal"
			   data-kal="direction: 'future'"
			   name="<%= jobDueDate %>"
			   style="width: 90%"
			   value="<%= theChip.getNewJobDueDate() %>"/>
	</div>
	<div>
		<input type="checkbox"
			   id="<%= createAuthorized %>"
			   name="<%= createAuthorized %>"
			   value="<%= createAuthorized %>"
				<%= theChip.getAuthorizedCreate() ? "checked" : "" %> />Authorize
	</div>
	<div style="padding-top: 15px;">Select Language</div>
	<% for(LanguageModel model: theChip.getAllLanguages()) {%>
		<label>
			<input
				type="checkbox"
				name="<%= languagesInputNameCreate %>"
				value="<%= model.getIsocode() %>"
				<%= theChip.getSelectedLanguageCodesCreate().contains(model.getIsocode()) ? "checked" : "" %>/>

			<%= model.getName() %>
		</label>
		<br>
	<% }%>
</div>
<div style="margin-top: 15px; display: <%= (theChip.getCurrentMode()==ChipMode.ADD || theChip.getCurrentMode()==ChipMode.CREATE) ? "block":"none" %>">
	<input type="button"
		   id="submit_button"
		   value="Ok"
		   style="text-align: center; width: 75px; margin-left: 100px;"
		   onclick="document.getElementById('hidden_submit_trigger').value='Ok';setScrollAndSubmit();"/>
	<input type="hidden"
		   name="<%= submitButton %>"
		   id="hidden_submit_trigger"
		   value="not ok"
		   onchange="setScrollAndSubmit();"/>
	<input type="button"
		   value="Cancel"
		   style="text-align: center; width: 75px; margin-right: 100px; float: right"
		   onclick="window.close()"/>
</div>
<script>
	function onloadActions() {
		window.resizeTo(700,500);
		document.getElementsByClassName('buttons')[0].style="display: none";
		if (document.getElementById('messagesDiv').innerHTML=='Success')
		{
			window.close();
			alert("The selected items have been successfully queued for translation");
		}
	}
	window.onload=onloadActions;
</script>